Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler
Class SpecialJavaFileManager

    java.lang.Object
      javax.tools.ForwardingJavaFileManager
          edu.princeton.repeatedgames.rgsolve.utilities.gamecompiler.SpecialJavaFileManager

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, javax.tools.JavaFileManager, javax.tools.OptionChecker

     class SpecialJavaFileManager

extends javax.tools.ForwardingJavaFileManager

Nested Class Summary

Nested classes/interfaces inherited from interface javax.tools.JavaFileManager
`javax.tools.JavaFileManager.Location`

Field Summary
`private SpecialClassLoader` | `xcl`

Fields inherited from class javax.tools.ForwardingJavaFileManager
`fileManager`

Constructor Summary
`SpecialJavaFileManager(javax.tools.StandardJavaFileManager sjfm, SpecialClassLoader xcl)`

Method Summary
`java.lang.ClassLoader` | `getClassLoader(javax.tools.JavaFileManager.Location location)`
`javax.tools.JavaFileObject` | `getJavaFileForOutput(javax.tools.JavaFileManager.Location location, java.lang.String name, javax.tools.JavaFileObject.Kind kind, javax.tools.FileObject sibling)`

Methods inherited from class javax.tools.ForwardingJavaFileManager
`close, flush, getFileForInput, getFileForOutput, getJavaFileForInput, handleOption, hasLocation, inferBinaryName, isSameFile, isSupportedOption, list`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xcl

    private SpecialClassLoader xcl

Constructor Detail

### SpecialJavaFileManager

    public SpecialJavaFileManager(javax.tools.StandardJavaFileManager sjfm,
                                  SpecialClassLoader xcl)

Method Detail

### getJavaFileForOutput

    public javax.tools.JavaFileObject getJavaFileForOutput(javax.tools.JavaFileManager.Location location,
                                                           java.lang.String name,
                                                           javax.tools.JavaFileObject.Kind kind,
                                                           javax.tools.FileObject sibling)
                                                    throws java.io.IOException

  Specified by:
    `getJavaFileForOutput` in interface `javax.tools.JavaFileManager`
  Overrides:
    `getJavaFileForOutput` in class `javax.tools.ForwardingJavaFileManager`
  Throws:
    `java.io.IOException`

### getClassLoader

    public java.lang.ClassLoader getClassLoader(javax.tools.JavaFileManager.Location location)

  Specified by:
    `getClassLoader` in interface `javax.tools.JavaFileManager`
  Overrides:
    `getClassLoader` in class `javax.tools.ForwardingJavaFileManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD